{% extends "lab_7/layout/base.html" %}

{% block content %}
    <section name="friend-list" class="friend-list">
        <div class="container">
            <div class="row">
                <div class="col-md-8 col-lg-8">
                    <h2>Fasilkom Friends</h2>
                    <div id="friend-list" class="list-group">
                    </div>
                </div>
            </div>
        </div>
    </section>
{% endblock %}
{% block javascript %}
    <script>
        $( document ).ready(function () {
            // {# lengkapi pemanggilan ajax berikut untuk mengambil daftar teman yang ada di database #}
            $.ajax({
                method: "GET",
                url: '{% url "lab-7:get-friend-list" %}',//#URL untuk mendapatkan list teman,
                success: function (friend_list) {
                    var list = JSON.parse(friend_list);
                    // #tampilkan list teman ke halaman
                    // #hint : gunakan fungsi jquery append()
                    $.each(list, function(index, friend) {
                        var button = '<span class="pull-right">'+
                                        '<button id="delete" type="button" class="btn btn-xs btn-danger" onClick="deleteFriend('+friend.pk+')">'+
                                            '&times;'+
                                        '</button>'+
                                     '</span>';
                        var html = '<a class="list-group-item clearfix" id="'+friend.pk+'"">' + 
                                friend.fields.friend_name + button +'</a>';
                        $("#friend-list").append(html)
                    });
                },
                error: function(error){
                    // #tampilkan pesan error
                    var html = '<div class="alert alert-danger text-center">\
                            <strong>Oops!</strong> Tidak ada teman\
                            </div>';
                    $("#friend-list").append(html)
                }
            });
        });

        const deleteFriend = function(id) {
           window.open('delete-friend/'+id+'/', '_self');
        }
    </script>
{% endblock %}
